ランタイム: Mix::Scene::IActorModel Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Protected Member Functions | List of all members
Mix::Scene::IActorModel Class Referenceabstract

アクターモデルインターフェース More...

`#include <IActorModel.h>`

Inheritance diagram for Mix::Scene::IActorModel:
[legend]
Collaboration diagram for Mix::Scene::IActorModel:
[legend]

## Classes

struct | CONFIG
| 設定構造体 More...
struct | STATE
| ステート構造体 More...

## Public Types

enum | RESET_FLAGS { R_INIT_LOCAL_MATRIX = 0x00000001, R_UPDATE_WORLD_MATRIX = 0x00000002, R_ALL = ( R_INIT_LOCAL_MATRIX | R_UPDATE_WORLD_MATRIX ) }
| リセットフラグ列挙定数 More...
enum | CLONE_FLAGS { C_SHARED_MATERIAL = 0x00000001, C_SHARED_MOTION = 0x00000002, C_DUPLICATE_MOTION_ENTRIES = 0x00000004, C_ALL = ( C_SHARED_MATERIAL | C_SHARED_MOTION | C_DUPLICATE_MOTION_ENTRIES ) }
| クローンフラグ列挙定数 More...
enum | BEHAVIOR_FLAGS { B_INVALID_ONLY_ROOT_MOTION = 0x00000001, B_FAR_SKIP_MOTION_FRAME = 0x00000002, B_INVISIBLE_SKIP_MOTION_FRAME = 0x00000004, B_ALL_FLAGS }
| 振る舞いフラグ列挙定数 More...
Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Public Member Functions

全般
virtual const wchar_t * | GetName (void) const =0
| 名前を取得します More...
virtual const Mix::Scene::IActorModel::CONFIG & | GetConfig (void) const =0
| 設定を取得します More...
virtual void | SetConfig (const Mix::Scene::IActorModel::CONFIG &config)=0
| 設定をします More...
virtual Boolean | GetListener (Mix::Scene::IActorListener **ppListener)=0
| リスナーを取得します More...
virtual void | SetListener (Mix::Scene::IActorListener *pListener)=0
| リスナーを設定します More...
virtual void | Reset (UInt32 flags=Mix::Scene::IActorModel::R_UPDATE_WORLD_MATRIX)=0
| リセットします More...
virtual void | Update (void)=0
| 更新をします More...
virtual void | Update (Float32 dt)=0
| 更新をします More...
virtual void | Refresh (void)=0
| リフレッシュをします More...
virtual void | Refresh1 (void)=0
| 1 回目のリフレッシュをします More...
virtual void | Refresh2 (void)=0
| 2 回目のリフレッシュをします More...
virtual Boolean | Clone (Mix::Scene::IActorModel **ppActorModel, UInt32 flags=Mix::Scene::IActorModel::C_ALL)=0
| 自身のクローンを作成します More...
状態の取得、設定
virtual const Mix::Matrix4x4 & | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldMatrix (const Mix::Matrix4x4 &worldMat)=0
| ワールド行列を設定します More...
virtual const Mix::Quaternion & | GetAngularVelocity (void) const =0
| 回転速度を取得します More...
virtual const Mix::Vector3 & | GetLinearVelocity (void) const =0
| 移動速度を取得します More...
virtual const Mix::Scene::IActorModel::STATE & | GetState (void) const =0
| ステートを取得します More...
virtual const Mix::Geometry::Sphere & | GetBounds (void) const =0
| 境界を取得します More...
virtual Boolean | IsVisible (void) const =0
| 視界に入っているかどうかを確認します More...
virtual Boolean | IsVisible (UInt32 id) const =0
| 視界に入っているかどうかを確認します More...
virtual Boolean | IsValid (void) const =0
| 有効になっているかどうかを確認します More...
virtual Boolean | IsValid (UInt32 id) const =0
| 有効になっているかどうかを確認します More...
virtual Boolean | IsIgnored (void) const =0
| 圏外かどうかを確認します More...
ノード
virtual UInt32 | GetNodeCount (void) const =0
| ノードの数を取得します More...
virtual UInt32 | GetNodeIndex (const wchar_t *pName) const =0
| ノードのインデックスを取得します More...
virtual Boolean | GetNodeByIndex (UInt32 index, Mix::Scene::IActorNode **ppNode)=0
| ノードを取得します More...
virtual Boolean | GetNodeByName (const wchar_t *pName, Mix::Scene::IActorNode **ppNode)=0
| ノードを取得します More...
モーション
virtual void | GetMotionMixer (Mix::Scene::IMotionMixer **ppMotionMixer)=0
| モーションミキサーを取得します More...
ダイナミクス
virtual Boolean | ExistsKinematicCharacter (void) const =0
| キネマティックキャラクターが存在するかどうかを確認します More...
virtual Boolean | GetKinematicCharacter (Mix::Scene::IActorKinematicCharacter **ppKinematicCharacter)=0
| キネマティックキャラクターを取得します More...
virtual Boolean | ExistsCollider (void) const =0
| コライダーが存在するかどうかを確認します More...
virtual Boolean | GetCollider (Mix::Scene::IActorCollider **ppCollider)=0
| コライダーを取得します More...
virtual UInt32 | GetSensorCount (void) const =0
| センサーの数を取得します More...
virtual Boolean | GetSensor (UInt32 index, Mix::Scene::IActorSensor **ppSensor)=0
| センサーを取得します More...
virtual void | GetDynamicsDirector (Mix::Scene::IActorDynamicsDirector **ppDynamicsDirector)=0
| ダイナミクスディレクターを取得します More...
デバッグ
virtual Float32 | Debug_GetDrawAxisScaling (void) const =0
| デバッグ : 軸を描画する際のスケールを取得します More...
virtual void | Debug_SetDrawAxisScaling (Float32 scaling)=0
| デバッグ : 軸を描画する際のスケールを設定します More...
virtual Float32 | Debug_GetDrawJointFrameMinSize (void) const =0
| デバッグ : ジョイントのフレームを描画する際の最小サイズを取得します More...
virtual void | Debug_SetDrawJointFrameMinSize (Float32 minSize)=0
| デバッグ : ジョイントのフレームを描画する際の最小サイズを設定します More...
virtual Float32 | Debug_GetDrawJointLimitScaling (void) const =0
| デバッグ : ジョイントのリミットを描画する際のスケールを取得します More...
virtual void | Debug_SetDrawJointLimitScaling (Float32 scaling)=0
| デバッグ : ジョイントのリミットを描画する際のスケールを設定します More...
Public Member Functions inherited from Mix::Scene::IModel
virtual UInt32 | GetMaterialSlotCount (void) const =0
| マテリアルスロットの数を取得します More...
virtual const wchar_t * | GetMaterialSlotName (UInt32 slotIndex) const =0
| マテリアルスロットの名前を取得します More...
virtual UInt32 | GetMaterialSlotIndex (const wchar_t *pSlotName)=0
| マテリアルスロットのインデックスを取得します More...
virtual Boolean | GetMaterialByIndex (UInt32 slotIndex, Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルを取得します More...
virtual Boolean | GetMaterialByName (const wchar_t *pSlotName, Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルを取得します More...
virtual Boolean | SetMaterialByIndex (UInt32 slotIndex, Mix::Scene::IMaterial *pMaterial)=0
| マテリアルを設定します More...
virtual Boolean | SetMaterialByName (const wchar_t *pSlotName, Mix::Scene::IMaterial *pMaterial)=0
| マテリアルを設定します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Scene::IEntity
virtual Boolean | IsDraw (void) const =0
| 描画するかどうかを確認します More...
virtual void | SetDraw (Boolean state)=0
| 描画するかどうかを設定します More...
virtual Boolean | IsLocalLighting (void) const =0
| ポイントライト、スポットライトによるライティングを行うかどうかを確認します More...
virtual void | SetLocalLighting (Boolean state)=0
| ポイントライト、スポットライトによるライティングを行うかどうかを設定します More...
virtual UInt32 | GetTransparencyPriority (void) const =0
| 半透明ポリゴンの描画の優先度を取得します More...
virtual void | SetTransparencyPriority (UInt32 priority)=0
| 半透明ポリゴンの描画の優先度を設定します More...
virtual Mix::Scene::WATER_CONTAINS_RESULT | GetDefaultWaterContainsResult (void) const =0
| 水中かどうかを判定する際のデフォルト値を取得します More...
virtual void | SetDefaultWaterContainsResult (Mix::Scene::WATER_CONTAINS_RESULT result)=0
| 水中かどうかを判定する際のデフォルト値を設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IActorModel (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IModel
virtual | ~IModel (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IEntity
virtual | ~IEntity (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

アクターモデルインターフェース

## Member Enumeration Documentation

enum Mix::Scene::IActorModel::RESET_FLAGS

リセットフラグ列挙定数

Enumerator

R_INIT_LOCAL_MATRIX

ローカル行列を初期化します

Note
  このフラグを指定して Reset をした場合、ローカル行列を初期状態にします。
  また、このフラグを指定しなかった場合は、モーションのトランジションをキャンセルし、カレントフレームのローカル行列を設定します。

R_UPDATE_WORLD_MATRIX | ワールド行列を更新します
R_ALL | 全てリセットフラグ

enum Mix::Scene::IActorModel::CLONE_FLAGS

クローンフラグ列挙定数

Enumerator
C_SHARED_MATERIAL | マテリアルを共有する
C_SHARED_MOTION | モーションを共有する
C_DUPLICATE_MOTION_ENTRIES | モーションエントリーを複製する
C_ALL | 全て

enum Mix::Scene::IActorModel::BEHAVIOR_FLAGS

振る舞いフラグ列挙定数

Enumerator
B_INVALID_ONLY_ROOT_MOTION | 無効な状態( IsValid() == False )の場合はルートモーションのみにする
B_FAR_SKIP_MOTION_FRAME | 遠いと判断 ( CONFIG 構造体の farMinDist 以上の距離に位置していること ) された場合は CONFIG 構造体の skipFrames だけモーションのフレームをスキップする
B_INVISIBLE_SKIP_MOTION_FRAME | 視界に入っていない場合( IsVisible() == False )は、CONFIG 構造体の skipFrames だけモーションのフレームをスキップする
B_ALL_FLAGS | 全てのフラグ

## Constructor & Destructor Documentation

virtual Mix::Scene::IActorModel::~IActorModel | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual const wchar_t* Mix::Scene::IActorModel::GetName | ( | void |  | ) | const

pure virtual

名前を取得します

Returns
  名前を返します

virtual const Mix::Scene::IActorModel::CONFIG& Mix::Scene::IActorModel::GetConfig | ( | void |  | ) | const

pure virtual

設定を取得します

Returns
  設定を表す Mix::Scene::IActorModel::CONFIG 構造体を返します

virtual void Mix::Scene::IActorModel::SetConfig | ( | const Mix::Scene::IActorModel::CONFIG & | config | ) |

pure virtual

設定をします

Parameters

  [in] | config | 設定を表す Mix::Scene::IActorModel::CONFIG 構造体

virtual Boolean Mix::Scene::IActorModel::GetListener | ( | Mix::Scene::IActorListener ** | ppListener | ) |

pure virtual

リスナーを取得します

Parameters

  [in] | ppListener | 取得したリスナーを表す Mix::Scene::IActorListener インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したリスナーは参照カウンタを +1 します。

virtual void Mix::Scene::IActorModel::SetListener | ( | Mix::Scene::IActorListener * | pListener | ) |

pure virtual

リスナーを設定します

Parameters

  [in] | pListener | 設定するリスナーを表す Mix::Scene::IActorListener インターフェースのポインタ( NULL指定可能 )

Note
  成功した場合は、直前のリスナーの参照カウンタを -1 し、新規のリスナーの参照カウンタを +1 します。

virtual void Mix::Scene::IActorModel::Reset | ( | UInt32 | flags = `Mix::Scene::IActorModel::R_UPDATE_WORLD_MATRIX` | ) |

pure virtual

リセットします

Parameters

  [in] | flags | リセットフラグを表す Mix::Scene::IActorModel::RESET_FLAGS 列挙定数の組み合わせ

Note
  ワールドに配置する際などにお使いください。

virtual void Mix::Scene::IActorModel::Update | ( | void |  | ) |

pure virtual

更新をします

Note
  静的なアクターモデルの場合に使用します。
  この段階では、
  ｢センサー｣ のワールドトランスフォーム、
  ｢キネマティックキャラクター｣ の移動速度の更新は行われますが、
  ｢モデル｣ ｢ノード｣ ｢コンストレイント｣ のワールド行列は更新されません。
  また、このメソッドはダイナミクスの更新よりも前に実行する必要があり、並列して実行することができます。

virtual void Mix::Scene::IActorModel::Update | ( | Float32 | dt | ) |

pure virtual

更新をします

Parameters

  [in] | dt | 1フレームを更新するのにかかる時間( Mix::IEngine::GetDT で取得できます )

Note
  動的なアクターモデルの場合に使用します。
  この段階では、
  ｢ノード｣ のローカル行列、
  ｢センサー｣ のワールドトランスフォーム、
  ｢キネマティックキャラクター｣ の移動速度の更新は行われますが、
  ｢モデル｣ ｢ノード｣ ｢コンストレイント｣ のワールド行列は更新されません。
  また、このメソッドは並列実行することができます。

virtual void Mix::Scene::IActorModel::Refresh | ( | void |  | ) |

pure virtual

リフレッシュをします

Note
  ｢モデル｣ ｢ノード｣ ｢コンストレイント｣ のワールド行列を更新します。
  また、このメソッドは並列実行することはできません。
  並列実行したい場合は、Refresh1 Refresh2 を使用してください。

virtual void Mix::Scene::IActorModel::Refresh1 | ( | void |  | ) |

pure virtual

1 回目のリフレッシュをします

Note
  このメソッドは Mix::Parallel を使用してリフレッシュをすることを前提として作成されています。
  また、1 回目のリフレッシュは並列実行になります。

virtual void Mix::Scene::IActorModel::Refresh2 | ( | void |  | ) |

pure virtual

2 回目のリフレッシュをします

Note
  このメソッドは Mix::Parallel を使用してリフレッシュをすることを前提として作成されています。
  また、2 回目のリフレッシュは同期実行になります。

virtual Boolean Mix::Scene::IActorModel::Clone | ( | Mix::Scene::IActorModel ** | ppActorModel,
|  | UInt32 | flags = `Mix::Scene::IActorModel::C_ALL`
| ) |  |

pure virtual

自身のクローンを作成します

Parameters

  [out] | ppActorModel | 自身のクローンを渡す Mix::Scene::IActorModel インターフェースのポインタのアドレス
  [in] | flags | クローンのフラグを表す Mix::Scene::IActorModel::CLONE_FLAGS 列挙定数の組み合わせ

Returns
  成功した場合は True を返します

virtual const Mix::Matrix4x4& Mix::Scene::IActorModel::GetWorldMatrix | ( | void |  | ) | const

pure virtual

ワールド行列を取得します

Returns
  ワールド行列を表す Mix::Matrix4x4 クラスを返します

virtual void Mix::Scene::IActorModel::SetWorldMatrix | ( | const Mix::Matrix4x4 & | worldMat | ) |

pure virtual

ワールド行列を設定します

Parameters

  [in] | worldMat | ワールド行列を表す Mix::Matrix4x4 クラス

Note
  ここで設定されたワールド行列は Update で反映されます。
  ただし、有効な ｢キネマティックキャラクター｣ ｢コライダー(デフォルト状態)｣ が存在している場合は、
  それらによってワールド行列の更新が行われるため、反映されません。
  強制的に反映したい場合は、Reset を使用してください。

virtual const Mix::Quaternion& Mix::Scene::IActorModel::GetAngularVelocity | ( | void |  | ) | const

pure virtual

回転速度を取得します

Returns
  回転速度を表す Mix::Quaternion クラスを返します

Note
  取得する値は、Update によって更新されます

virtual const Mix::Vector3& Mix::Scene::IActorModel::GetLinearVelocity | ( | void |  | ) | const

pure virtual

移動速度を取得します

Returns
  移動速度を表す Mix::Vector3 クラスを返します

Note
  取得する値は、Update によって更新されます

virtual const Mix::Scene::IActorModel::STATE& Mix::Scene::IActorModel::GetState | ( | void |  | ) | const

pure virtual

ステートを取得します

Returns
  ステートを表す Mix::Scene::IActorModel::STATE 構造体を返します

virtual const Mix::Geometry::Sphere& Mix::Scene::IActorModel::GetBounds | ( | void |  | ) | const

pure virtual

境界を取得します

Returns
  境界を表す Mix::Geometry::Sphere クラスを返します

Note
  境界は Refresh で更新されます。

virtual Boolean Mix::Scene::IActorModel::IsVisible | ( | void |  | ) | const

pure virtual

視界に入っているかどうかを確認します

Returns
  視界に入っている場合は True を返します

virtual Boolean Mix::Scene::IActorModel::IsVisible | ( | UInt32 | id | ) | const

pure virtual

視界に入っているかどうかを確認します

Parameters

  [in] | id | ビューの識別子

Returns
  視界に入っている場合は True を返します

virtual Boolean Mix::Scene::IActorModel::IsValid | ( | void |  | ) | const

pure virtual

有効になっているかどうかを確認します

Returns
  有効になっている場合は True を返します

Note
  有効な状態とは、視界に入っている、もしくわ影として投影している状態のことを表します。

virtual Boolean Mix::Scene::IActorModel::IsValid | ( | UInt32 | id | ) | const

pure virtual

有効になっているかどうかを確認します

Parameters

  [in] | id | ビューの識別子

Returns
  有効になっている場合は True を返します

virtual Boolean Mix::Scene::IActorModel::IsIgnored | ( | void |  | ) | const

pure virtual

圏外かどうかを確認します

Returns
  圏外の場合は True を返します

Note
  圏外とは描画判定に使用される八分木の範囲を超えて配置されている状態のことを表します。

virtual UInt32 Mix::Scene::IActorModel::GetNodeCount | ( | void |  | ) | const

pure virtual

ノードの数を取得します

Returns
  ノードの数を返します

virtual UInt32 Mix::Scene::IActorModel::GetNodeIndex | ( | const wchar_t * | pName | ) | const

pure virtual

ノードのインデックスを取得します

Parameters

  [in] | pName | ノードの名前

Returns
  成功した場合は ノードのインデックスを返します。
  失敗した場合は 0xFFFFFFFF を返します

virtual Boolean Mix::Scene::IActorModel::GetNodeByIndex | ( | UInt32 | index,
|  | Mix::Scene::IActorNode ** | ppNode
| ) |  |

pure virtual

ノードを取得します

Parameters

  [in] | index | ノードのインデックス( 0 はルートノードを意味します )
  [out] | ppNode | 取得したノードを渡す Mix::Scene::IActorNode インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得に成功した場合は ノードの参照カウンタを +1 します

virtual Boolean Mix::Scene::IActorModel::GetNodeByName | ( | const wchar_t * | pName,
|  | Mix::Scene::IActorNode ** | ppNode
| ) |  |

pure virtual

ノードを取得します

Parameters

  [in] | pName | ノードの名前
  [out] | ppNode | 取得したノードを渡す Mix::Scene::IActorNode インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得に成功した場合は ノードの参照カウンタを +1 します

virtual void Mix::Scene::IActorModel::GetMotionMixer | ( | Mix::Scene::IMotionMixer ** | ppMotionMixer | ) |

pure virtual

モーションミキサーを取得します

Parameters

  [out] | ppMotionMixer | 取得モーションミキサーを渡す Mix::Scene::IMotionMixer インターフェースのポインタのアドレス

Note
  取得したモーションミキサーは参照カウンタを +1 します

virtual Boolean Mix::Scene::IActorModel::ExistsKinematicCharacter | ( | void |  | ) | const

pure virtual

キネマティックキャラクターが存在するかどうかを確認します

Returns
  存在する場合は True を返します

virtual Boolean Mix::Scene::IActorModel::GetKinematicCharacter | ( | Mix::Scene::IActorKinematicCharacter ** | ppKinematicCharacter | ) |

pure virtual

キネマティックキャラクターを取得します

Parameters

  [out] | ppKinematicCharacter | 取得したキネマティックキャラクターを渡す Mix::Scene::IActorKinematicCharacter インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

Note
  取得したキネマティックキャラクターは参照カウンタを +1 します

virtual Boolean Mix::Scene::IActorModel::ExistsCollider | ( | void |  | ) | const

pure virtual

コライダーが存在するかどうかを確認します

Returns
  存在する場合は True を返します

virtual Boolean Mix::Scene::IActorModel::GetCollider | ( | Mix::Scene::IActorCollider ** | ppCollider | ) |

pure virtual

コライダーを取得します

Parameters

  [out] | ppCollider | 取得したコライダーを渡す Mix::Scene::IActorCollider インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

Note
  取得したコライダーは参照カウンタを +1 します

virtual UInt32 Mix::Scene::IActorModel::GetSensorCount | ( | void |  | ) | const

pure virtual

センサーの数を取得します

Returns
  センサーの数を返します

virtual Boolean Mix::Scene::IActorModel::GetSensor | ( | UInt32 | index,
|  | Mix::Scene::IActorSensor ** | ppSensor
| ) |  |

pure virtual

センサーを取得します

Parameters

  [in] | index | 取得するセンサーのインデックス
  [out] | ppSensor | 取得したセンサーを渡す Mix::Scene::IActorSensor インターフェースのポインタのアドレス

Returns
  取得に成功した場合は True を返します

Note
  取得したセンサーは参照カウンタを +1 します

virtual void Mix::Scene::IActorModel::GetDynamicsDirector | ( | Mix::Scene::IActorDynamicsDirector ** | ppDynamicsDirector | ) |

pure virtual

ダイナミクスディレクターを取得します

Parameters

  [out] | ppDynamicsDirector | ダイナミクスディレクターを表す Mix::Scene::IActorDynamicsDirector インターフェースのポインタ

Note
  取得したダイナミクスディレクターは参照カウンタを +1 します

virtual Float32 Mix::Scene::IActorModel::Debug_GetDrawAxisScaling | ( | void |  | ) | const

pure virtual

デバッグ : 軸を描画する際のスケールを取得します

Returns
  スケールを返します

virtual void Mix::Scene::IActorModel::Debug_SetDrawAxisScaling | ( | Float32 | scaling | ) |

pure virtual

デバッグ : 軸を描画する際のスケールを設定します

Parameters

  [in] | scaling | スケール

virtual Float32 Mix::Scene::IActorModel::Debug_GetDrawJointFrameMinSize | ( | void |  | ) | const

pure virtual

デバッグ : ジョイントのフレームを描画する際の最小サイズを取得します

Returns
  最小サイズを返します

virtual void Mix::Scene::IActorModel::Debug_SetDrawJointFrameMinSize | ( | Float32 | minSize | ) |

pure virtual

デバッグ : ジョイントのフレームを描画する際の最小サイズを設定します

Parameters

  [in] | minSize | 最小サイズ

virtual Float32 Mix::Scene::IActorModel::Debug_GetDrawJointLimitScaling | ( | void |  | ) | const

pure virtual

デバッグ : ジョイントのリミットを描画する際のスケールを取得します

Returns
  スケールを返します

virtual void Mix::Scene::IActorModel::Debug_SetDrawJointLimitScaling | ( | Float32 | scaling | ) |

pure virtual

デバッグ : ジョイントのリミットを描画する際のスケールを設定します

Parameters

  [in] | scaling | スケール

The documentation for this class was generated from the following file:

- Mix/Scene/IActorModel.h